<%@ Page Language="C#" AutoEventWireup="true" CodeFile="SelfClosingDialog.aspx.cs"
    Inherits="SelfClosingDialog" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Untitled Page</title>
</head>
<body>
    <form id="Form1" method="post" runat="server">
    <asp:ScriptManager ID="ScriptManager1" runat="server">
    </asp:ScriptManager>
    <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="Button3">
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManager>

    <script type="text/javascript">
        //This code is used to provide a reference to the radwindow "wrapper"
        function GetRadWindow()
        {
            var oWindow = null;
            if (window.radWindow) oWindow = window.radWindow; //Will work in Moz in all cases, including clasic dialog
            else if (window.frameElement.radWindow) oWindow = window.frameElement.radWindow; //IE (and Moz az well)				
            return oWindow;
        }

        function CloseOnReload()
        {
            alert("Dialog is about to close itself");
            GetRadWindow().close();
        }

        function RefreshParentPage()
        {
            alert("Dialog is about to reload parent page");
            GetRadWindow().BrowserWindow.location.reload();
        }

        function RedirectParentPage(newUrl)
        {
            alert("Dialog is about to redirect parent page to " + newUrl);
            GetRadWindow().BrowserWindow.document.location.href = newUrl;
        }

        function CallFunctionOnParentPage(fnName)
        {
            alert("Calling the function " + fnName + " defined on the parent page");
            var oWindow = GetRadWindow();
            if (oWindow.BrowserWindow[fnName] && typeof (oWindow.BrowserWindow[fnName]) == "function")
            {
                oWindow.BrowserWindow[fnName](oWindow);
            }
        }

        function RefreshParentPageWithoutWarning()
        {
            alert("Dialog is about to reload parent page");
            GetRadWindow().BrowserWindow.document.forms[0].submit();
        }
    </script>

    <asp:Button ID="Button1" runat="server" OnClick="Button1_Click" Text="Postback page and close on reload (by using ClientScript.RegisterStartupScript())">
    </asp:Button>
    <br />
    <asp:Button ID="Button2" runat="server" OnClick="Button2_Click" Text="Postback page, refresh parent page on reload (by using ScriptManager.RegisterStartupScript)">
    </asp:Button>
    <br />
    <asp:Button ID="Button3" runat="server" Text="Postback page, redirect parent page on reload (by using RadAjaxManager1.ResponseScripts.Add)"
        OnClick="Button3_Click"></asp:Button>
    <br />
    <telerik:RadAjaxPanel ID="RadAjaxPanel1" runat="server">
        <asp:Button ID="Button4" runat="server" Text="Postback page, redirect parent page on reload"
            OnClick="Button4_Click"></asp:Button>
    </telerik:RadAjaxPanel>
    <asp:Button ID="Button5" runat="server" Text="Postback page, refresh parent page on reload without warning message"
        OnClick="Button5_Click"></asp:Button>
    <br />
    <br />
    </form>
</body>
</html>
